1. General
YGO Client API
v1
  • v2
  • v1
  • Default Module
    • Overview
    • Core Concepts
    • Authentication
    • Quickstart Guide
    • AI Search & Trip Planning
    • Booking Flow
    • Environments
    • General
      • Check API health status
        GET
      • Get current API key context
        GET
    • AI Search & Trip Planning
      • Send message to YGO AI
    • Product Search (Deprecated)
      • Search for hotel & package offers
      • Get transfers for booking
      • Get package price calendar
    • Bookings
      • Get or create open booking
      • Check offer availability
      • Update open booking
      • Update booking status and trigger workflows
      • List bookings
      • Get booking
    • Schemas
      • Schemas
        • PackageSearchRequest
        • GetPackageCalendarRequest
        • GetBookingRequest
        • ListBookingsRequest
        • SaveBookingStatusRequest
        • SaveOpenBookingRequest
        • GetOpenBookingRequest
        • GetTransfersRequest
        • Product
        • Booking
        • TransferOptionsResponse
        • PackageCalendarResponse
        • ProductTexts
        • BookingDetails
        • TripReference
        • TransferOption
        • PackageCalendarDate
        • LocaleContent
        • BookingItemInput
        • Trip
        • ProductImage
        • TransferImage
        • BookingItem
        • Traveller
        • PickupInformation
        • ProductDetails
        • PackageOffer
        • PickupLocation
        • Image
        • Pickup
        • TourOperator
        • CheckPickup
        • Accommodation
        • TransferRemark
        • Room
        • CancellationPolicy
        • Transport
        • Flight
        • Airport
        • Price
        • PriceByPax
        • SuccessResponse
        • ErrorResponse
        • Hotel
        • HotelFeatures
        • FeatureState
        • RoomFeatures
        • RoomContent
        • Facility
      • Response
        • Unauthorized
  1. General

Check API health status

GET
/health
Verify that the API and its critical internal and external dependencies are operational. Use this endpoint for monitoring, load balancer health checks, and deployment validation.
This endpoint:
Checks database & cache connectivity
Checks Peakwork, Amadeus, Musement, etc. connectivity (if set-up for the project)
Returns "OK" if all systems are operational
Returns an error if any dependency is unavailable

Request

Authorization
or

Responses

🟢200OK
application/json
Health check successful - all systems operational
Bodyapplication/json

🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ygo.ai/v1/health'
Response Response Example
200 - All systems operational
{
    "Data": "OK",
    "Error": null
}
Modified at 2025-10-16 14:18:04
Previous
Environments
Next
Get current API key context
Built with